<?php
class DModelShippingFretefaixadecep extends Model {

	public function getFreteFaixadeCeps($data = array()){
	  $sql = 'SELECT * FROM oc_faixa_cep ';

	  if(isset($data['cep_status'])){
      $sql.= 'WHERE cep_status = '.$data['cep_status'];
    }

    $sql.= ' ORDER BY faixa_cep_id DESC ';

    if (isset($data['start']) || isset($data['limit'])) {
      if ($data['start'] < 0) {
        $data['start'] = 0;
      }

      if ($data['limit'] < 1) {
        $data['limit'] = 20;
      }

      $sql.= " LIMIT " . (int)$data['start'] . "," . (int)$data['limit'];
    }

	  $query = $this->db->query($sql);
    return $query->rows;
  }

  public function getFreteFaixadeCepsTotal(){

	  $sql = 'SELECT count(faixa_cep_id) as total from oc_faixa_cep';

    $query = $this->db->query($sql);

    return $query->row['total'];
  }

  public function getFreteFaixadeCep($faixa_cep_id){
    $sql = 'SELECT * FROM oc_faixa_cep WHERE faixa_cep_id = '.(int)$faixa_cep_id;
    $query = $this->db->query($sql);
    return $query->row;
  }

  public function deleteFreteFaixadeCep($faixa_cep_id){
    $this->db->query("DELETE FROM oc_faixa_cep WHERE faixa_cep_id = '" . (int)$faixa_cep_id . "'");
  }


  public function addFreteFaixadeCep($data) {
    $this->db->query("
      INSERT INTO oc_faixa_cep SET
      cep_titulo = '" . $this->db->escape($data['cep_titulo']) . "',
      cep_valor_type = '" . $this->db->escape($data['cep_valor_type']) . "',
      cep_valor = '" . $this->db->escape($data['cep_valor']) . "',
      cep_valor_min = '" . $this->db->escape($data['cep_valor_min']) . "',
      produto_comp = '" . $this->db->escape($data['produto_comp']) . "',
      produto_larg = '" . $this->db->escape($data['produto_larg']) . "',
      produto_alt = '" . $this->db->escape($data['produto_alt']) . "',
      produto_min_weight = '" . $this->db->escape($data['produto_min_weight']) . "',
      produto_max_weight = '" . $this->db->escape($data['produto_max_weight']) . "',
      cep_inicial = '" . $this->db->escape($data['cep_inicial']) . "',
      cep_final = '" . $this->db->escape($data['cep_final']) . "',
      cep_status = '" . $this->db->escape($data['cep_status']) . "'
    ");
  }

  public function editFreteFaixadeCep($data) {
    $this->db->query("
      UPDATE oc_faixa_cep SET
      cep_titulo = '" . $this->db->escape($data['cep_titulo']) . "',
      cep_valor_type = '" . $this->db->escape($data['cep_valor_type']) . "',
      cep_valor = '" . $this->db->escape($data['cep_valor']) . "',
      cep_valor_min = '" . $this->db->escape($data['cep_valor_min']) . "',
      produto_comp = '" . $this->db->escape($data['produto_comp']) . "',
      produto_larg = '" . $this->db->escape($data['produto_larg']) . "',
      produto_alt = '" . $this->db->escape($data['produto_alt']) . "',
      produto_min_weight = '" . $this->db->escape($data['produto_min_weight']) . "',
      produto_max_weight = '" . $this->db->escape($data['produto_max_weight']) . "',
      cep_inicial = '" . $this->db->escape($data['cep_inicial']) . "',
      cep_final = '" . $this->db->escape($data['cep_final']) . "',
      cep_status = '" . $this->db->escape($data['cep_status']) . "' WHERE faixa_cep_id = '".$data['faixa_cep_id']."' ");
  }

}
